cayenne-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Gentry <mgen...@masslight.net>
Subject Re: Setting Up Cayenne as a Dependency
Date Sun, 17 Jan 2010 16:50:40 GMT
If you use Eclipse, you should have the Eclipse M2 Maven plugin
installed -- it'll make life easier (you can search for dependencies
when editing the pom.xml, for example).

That being said, though, I have this in one of my project's pom.xml files:

    <dependency>
        <groupId>org.apache.cayenne</groupId>
        <artifactId>cayenne-server</artifactId>
        <version>3.0B1</version>
        <type>jar</type>
        <scope>compile</scope>
    </dependency>

Given that RC1 is out now, though, you may want to change the version to 3.0RC1.

mrg


On Sun, Jan 17, 2010 at 11:38 AM, Nishant Neeraj <nneeraj123@yahoo.com> wrote:
> Hi,
> I wanted to use Cayenne 3+ as dependency in my Maven build. I have used Cayenne earlier
with ANT where I downloaded Cayenne.jar (2.78MB), now I am moving to Maven -- however, I do
not find the right artifact-id that matches this Jar.
> Can anyone tell me the correct dependency? I am very new to Maven.
> Thanks - Nishant
> PS: This http://cwiki.apache.org/CAY/cayenne-maven.html seems to be outdated.
>
>
>      The INTERNET now has a personality. YOURS! See your Yahoo! Homepage. http://in.yahoo.com/

Mime
View raw message